import javax.microedition.lcdui.*;

public class TranslationBox extends Form  implements CommandListener  
{ 
    Dictionary  dictionary;
    Displayable parent;
    
    TranslationBox(Dictionary dictionary, Displayable parent, Translation trans) {
        super(trans.word);
        this.dictionary = dictionary;
        this.parent = parent;
        append(new StringItem(trans.word, dictionary.getTranslation(trans)));
        setCommandListener(this);
        addCommand(Dictionary.BACK_CMD);
        Display.getDisplay(dictionary).setCurrent(this);
    }

    public void commandAction(Command c, Displayable d)  {
        Display.getDisplay(dictionary).setCurrent(parent);
    }
}        